io.vertx.ext.json.schema.draft7.dsl

## Class Keywords

- java.lang.Object
- - io.vertx.ext.json.schema.common.dsl.Keywords
  - - io.vertx.ext.json.schema.draft7.dsl.Keywords

-     public class Keywords
      extends Keywords

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Keywords()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArrayKeyword` | `contains(SchemaBuilder builder)`
    `static NumberKeyword` | `exclusiveMaximum(double exclusiveMaximum)`
    `static NumberKeyword` | `exclusiveMinimum(double exclusiveMinimum)`
    `static StringKeyword` | `format(StringFormat format)`
    `static NumberKeyword` | `maximum(double maximum)`
    `static NumberKeyword` | `minimum(double minimum)`
    `static ObjectKeyword` | `propertyNames(StringSchemaBuilder schemaBuilder)`

    - ### Methods inherited from class io.vertx.ext.json.schema.common.dsl.Keywords

      `maxItems, maxLength, maxProperties, minItems, minLength, minProperties, multipleOf, pattern, type, uniqueItems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Keywords

          public Keywords()

  - ### Method Detail

    - #### exclusiveMaximum

          public static NumberKeyword exclusiveMaximum(double exclusiveMaximum)

    - #### maximum

          public static NumberKeyword maximum(double maximum)

    - #### exclusiveMinimum

          public static NumberKeyword exclusiveMinimum(double exclusiveMinimum)

    - #### minimum

          public static NumberKeyword minimum(double minimum)

    - #### format

          public static StringKeyword format(StringFormat format)

    - #### contains

          public static ArrayKeyword contains(SchemaBuilder builder)

    - #### propertyNames

          public static ObjectKeyword propertyNames(StringSchemaBuilder schemaBuilder)

Copyright © 2020 Eclipse. All rights reserved.